com.genesyslab.wfm7.API.service.builder760

## Class RequestInfoHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.builder760.RequestInfoHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class RequestInfoHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `agentCount`
    `private int` | `buildRetryCount`
    `private int` | `dayCount`
    `private int` | `errorCount`
    `private java.lang.String` | `errorMessage`
    `private int` | `executionTime`
    `private int` | `percentageDone`
    `private int` | `saveRetryCount`
    `private int` | `stage`
    `private java.lang.String` | `stageName`
    `private int` | `timeInQueue`
    `private int` | `warningCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInfoHolder()`
    `RequestInfoHolder(int stage, java.lang.String stageName, int agentCount, int dayCount, int percentageDone, int executionTime, int timeInQueue, int warningCount, int errorCount, java.lang.String errorMessage, int buildRetryCount, int saveRetryCount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getAgentCount()` Gets the agentCount value for this RequestInfoHolder.
    `int` | `getBuildRetryCount()` Gets the buildRetryCount value for this RequestInfoHolder.
    `int` | `getDayCount()` Gets the dayCount value for this RequestInfoHolder.
    `int` | `getErrorCount()` Gets the errorCount value for this RequestInfoHolder.
    `java.lang.String` | `getErrorMessage()` Gets the errorMessage value for this RequestInfoHolder.
    `int` | `getExecutionTime()` Gets the executionTime value for this RequestInfoHolder.
    `int` | `getPercentageDone()` Gets the percentageDone value for this RequestInfoHolder.
    `int` | `getSaveRetryCount()` Gets the saveRetryCount value for this RequestInfoHolder.
    `int` | `getStage()` Gets the stage value for this RequestInfoHolder.
    `java.lang.String` | `getStageName()` Gets the stageName value for this RequestInfoHolder.
    `int` | `getTimeInQueue()` Gets the timeInQueue value for this RequestInfoHolder.
    `int` | `getWarningCount()` Gets the warningCount value for this RequestInfoHolder.
    `int` | `hashCode()`
    `void` | `setAgentCount(int agentCount)` Sets the agentCount value for this RequestInfoHolder.
    `void` | `setBuildRetryCount(int buildRetryCount)` Sets the buildRetryCount value for this RequestInfoHolder.
    `void` | `setDayCount(int dayCount)` Sets the dayCount value for this RequestInfoHolder.
    `void` | `setErrorCount(int errorCount)` Sets the errorCount value for this RequestInfoHolder.
    `void` | `setErrorMessage(java.lang.String errorMessage)` Sets the errorMessage value for this RequestInfoHolder.
    `void` | `setExecutionTime(int executionTime)` Sets the executionTime value for this RequestInfoHolder.
    `void` | `setPercentageDone(int percentageDone)` Sets the percentageDone value for this RequestInfoHolder.
    `void` | `setSaveRetryCount(int saveRetryCount)` Sets the saveRetryCount value for this RequestInfoHolder.
    `void` | `setStage(int stage)` Sets the stage value for this RequestInfoHolder.
    `void` | `setStageName(java.lang.String stageName)` Sets the stageName value for this RequestInfoHolder.
    `void` | `setTimeInQueue(int timeInQueue)` Sets the timeInQueue value for this RequestInfoHolder.
    `void` | `setWarningCount(int warningCount)` Sets the warningCount value for this RequestInfoHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stage

          private int stage

    - #### stageName

          private java.lang.String stageName

    - #### agentCount

          private int agentCount

    - #### dayCount

          private int dayCount

    - #### percentageDone

          private int percentageDone

    - #### executionTime

          private int executionTime

    - #### timeInQueue

          private int timeInQueue

    - #### warningCount

          private int warningCount

    - #### errorCount

          private int errorCount

    - #### errorMessage

          private java.lang.String errorMessage

    - #### buildRetryCount

          private int buildRetryCount

    - #### saveRetryCount

          private int saveRetryCount

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### RequestInfoHolder

          public RequestInfoHolder()

    - #### RequestInfoHolder

          public RequestInfoHolder(int stage,
                           java.lang.String stageName,
                           int agentCount,
                           int dayCount,
                           int percentageDone,
                           int executionTime,
                           int timeInQueue,
                           int warningCount,
                           int errorCount,
                           java.lang.String errorMessage,
                           int buildRetryCount,
                           int saveRetryCount)

  - ### Method Detail

    - #### getStage

          public int getStage()

      Gets the stage value for this RequestInfoHolder.
      Returns:
        stage

    - #### setStage

          public void setStage(int stage)

      Sets the stage value for this RequestInfoHolder.
      Parameters:
        `stage` -

    - #### getStageName

          public java.lang.String getStageName()

      Gets the stageName value for this RequestInfoHolder.
      Returns:
        stageName

    - #### setStageName

          public void setStageName(java.lang.String stageName)

      Sets the stageName value for this RequestInfoHolder.
      Parameters:
        `stageName` -

    - #### getAgentCount

          public int getAgentCount()

      Gets the agentCount value for this RequestInfoHolder.
      Returns:
        agentCount

    - #### setAgentCount

          public void setAgentCount(int agentCount)

      Sets the agentCount value for this RequestInfoHolder.
      Parameters:
        `agentCount` -

    - #### getDayCount

          public int getDayCount()

      Gets the dayCount value for this RequestInfoHolder.
      Returns:
        dayCount

    - #### setDayCount

          public void setDayCount(int dayCount)

      Sets the dayCount value for this RequestInfoHolder.
      Parameters:
        `dayCount` -

    - #### getPercentageDone

          public int getPercentageDone()

      Gets the percentageDone value for this RequestInfoHolder.
      Returns:
        percentageDone

    - #### setPercentageDone

          public void setPercentageDone(int percentageDone)

      Sets the percentageDone value for this RequestInfoHolder.
      Parameters:
        `percentageDone` -

    - #### getExecutionTime

          public int getExecutionTime()

      Gets the executionTime value for this RequestInfoHolder.
      Returns:
        executionTime

    - #### setExecutionTime

          public void setExecutionTime(int executionTime)

      Sets the executionTime value for this RequestInfoHolder.
      Parameters:
        `executionTime` -

    - #### getTimeInQueue

          public int getTimeInQueue()

      Gets the timeInQueue value for this RequestInfoHolder.
      Returns:
        timeInQueue

    - #### setTimeInQueue

          public void setTimeInQueue(int timeInQueue)

      Sets the timeInQueue value for this RequestInfoHolder.
      Parameters:
        `timeInQueue` -

    - #### getWarningCount

          public int getWarningCount()

      Gets the warningCount value for this RequestInfoHolder.
      Returns:
        warningCount

    - #### setWarningCount

          public void setWarningCount(int warningCount)

      Sets the warningCount value for this RequestInfoHolder.
      Parameters:
        `warningCount` -

    - #### getErrorCount

          public int getErrorCount()

      Gets the errorCount value for this RequestInfoHolder.
      Returns:
        errorCount

    - #### setErrorCount

          public void setErrorCount(int errorCount)

      Sets the errorCount value for this RequestInfoHolder.
      Parameters:
        `errorCount` -

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Gets the errorMessage value for this RequestInfoHolder.
      Returns:
        errorMessage

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String errorMessage)

      Sets the errorMessage value for this RequestInfoHolder.
      Parameters:
        `errorMessage` -

    - #### getBuildRetryCount

          public int getBuildRetryCount()

      Gets the buildRetryCount value for this RequestInfoHolder.
      Returns:
        buildRetryCount

    - #### setBuildRetryCount

          public void setBuildRetryCount(int buildRetryCount)

      Sets the buildRetryCount value for this RequestInfoHolder.
      Parameters:
        `buildRetryCount` -

    - #### getSaveRetryCount

          public int getSaveRetryCount()

      Gets the saveRetryCount value for this RequestInfoHolder.
      Returns:
        saveRetryCount

    - #### setSaveRetryCount

          public void setSaveRetryCount(int saveRetryCount)

      Sets the saveRetryCount value for this RequestInfoHolder.
      Parameters:
        `saveRetryCount` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.